osmium::RelationMember Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::RelationMember:
[legend]
Collaboration diagram for osmium::RelationMember:
[legend]

## Public Member Functions

| RelationMember (const object_id_type ref=0, const item_type type=item_type(), const bool full=false) noexcept
object_id_type | ref () const noexcept
RelationMember & | ref (object_id_type ref) noexcept
unsigned_object_id_type | positive_ref () const noexcept
RelationMember & | set_ref (const osmium::object_id_type ref) noexcept
item_type | type () const noexcept
bool | full_member () const noexcept
const char * | role () const noexcept
OSMObject & | get_object ()
const OSMObject & | get_object () const

## Static Public Attributes

static constexpr item_type | collection_type = item_type::relation_member_list

## Private Member Functions

| RelationMember (const RelationMember &)=delete
| RelationMember (RelationMember &&)=delete
RelationMember & | operator= (const RelationMember &)=delete
RelationMember & | operator= (RelationMember &&)=delete
unsigned char * | endpos ()
const unsigned char * | endpos () const
unsigned char * | next ()
unsigned const char * | next () const
void | set_role_size (string_size_type size) noexcept

## Private Attributes

object_id_type | m_ref
item_type | m_type
uint16_t | m_flags
string_size_type | m_role_size {0}

## Friends

class | osmium::builder::RelationMemberListBuilder
template<typename TMember >
class | osmium::memory::CollectionIterator

## Constructor & Destructor Documentation

osmium::RelationMember::RelationMember | ( | const RelationMember & |  | ) |

private delete

osmium::RelationMember::RelationMember | ( | RelationMember && |  | ) |

private delete

osmium::RelationMember::RelationMember | ( | const object_id_type | ref = `0`,
|  | const item_type | type = `item_type()`,
|  | const bool | full = `false`
| ) |  |

inline noexcept

## Member Function Documentation

unsigned char* osmium::RelationMember::endpos | ( |  | ) |

inline private

const unsigned char* osmium::RelationMember::endpos | ( |  | ) | const

inline private

bool osmium::RelationMember::full_member | ( |  | ) | const

inline noexcept

OSMObject& osmium::RelationMember::get_object | ( |  | ) |

inline

const OSMObject& osmium::RelationMember::get_object | ( |  | ) | const

inline

unsigned char* osmium::RelationMember::next | ( |  | ) |

inline private

unsigned const char* osmium::RelationMember::next | ( |  | ) | const

inline private

RelationMember& osmium::RelationMember::operator= | ( | const RelationMember & |  | ) |

private delete

RelationMember& osmium::RelationMember::operator= | ( | RelationMember && |  | ) |

private delete

unsigned_object_id_type osmium::RelationMember::positive_ref | ( |  | ) | const

inline noexcept

object_id_type osmium::RelationMember::ref | ( |  | ) | const

inline noexcept

RelationMember& osmium::RelationMember::ref | ( | object_id_type | ref | ) |

inline noexcept

const char* osmium::RelationMember::role | ( |  | ) | const

inline noexcept

RelationMember& osmium::RelationMember::set_ref | ( | const osmium::object_id_type | ref | ) |

inline noexcept

void osmium::RelationMember::set_role_size | ( | string_size_type | size | ) |

inline private noexcept

item_type osmium::RelationMember::type | ( |  | ) | const

inline noexcept

## Friends And Related Function Documentation

friend class osmium::builder::RelationMemberListBuilder

friend

template<typename TMember >

friend class osmium::memory::CollectionIterator

friend

## Member Data Documentation

constexpr item_type osmium::RelationMember::collection_type = item_type::relation_member_list

static

uint16_t osmium::RelationMember::m_flags

private

object_id_type osmium::RelationMember::m_ref

private

string_size_type osmium::RelationMember::m_role_size {0}

private

item_type osmium::RelationMember::m_type

private

The documentation for this class was generated from the following file:

- osmium/osm/relation.hpp